%global srcname stringstream
Name:                nodejs-%{srcname}
Version:             0.0.5
Release:             1
Summary:             Encode and decode streams into string streams
License:             MIT
URL:                 https://github.com/mhart/StringStream
Source0:             https://github.com/mhart/stringstream/archive/v%{version}/stringstream-%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%description
%{summary}.

%prep
%autosetup -n StringStream-%{version}
rm -rf node_modules

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json stringstream.js \
     %{buildroot}%{nodejs_sitelib}/%{srcname}
%nodejs_symlink_deps

%check
%{__nodejs} -e 'require("./")'

%files
%doc README.md example.js
%license LICENSE.txt
%{nodejs_sitelib}/%{srcname}

%changelog
* Wed Aug 12 2020 wangyue <wangyue92@huawei.com> - 0.0.5-1
- package init
